/** @jsxImportSource @emotion/react */
import { ReactNode } from 'react';
import { SerializedStyles } from '@emotion/react';
import StandardProps from '../../types/standard-props';
declare const Button: ({ onClick, children, id, overrideCss, disabled, variant, type, ...standardProps }: {
    onClick?: (() => void) | undefined;
    children?: ReactNode | string;
    disabled?: boolean | undefined;
    variant?: "none" | "filled" | "cta" | "outlined" | undefined;
    type?: "button" | "reset" | "submit" | undefined;
    overrideCss?: SerializedStyles | undefined;
} & StandardProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export default Button;
