"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
/** @jsxImportSource @emotion/react */
const react_1 = require("@emotion/react");
const standard_css_1 = require("../../types/standard-css");
const Image = ({ source, alt, objectFit, overrideCss, ...standardProps }) => ((0, jsx_runtime_1.jsx)("img", { "data-test-id": standardProps.dataTestId, src: source, alt: alt, className: standardProps.className, css: (0, react_1.css) `
      ${(0, standard_css_1.default)(standardProps)}
      object-fit: ${objectFit};
      ${overrideCss}
    ` }));
exports.default = Image;
