import { ReactNode } from 'react';
export interface ModalProps {
    isOpen: boolean;
    onClose: () => void;
    onBack?: () => void;
    children?: ReactNode;
    title?: string;
    slideFromBottomMobile?: boolean;
    removePadding?: boolean;
    hideHeader?: boolean;
}
declare const Modal: ({ isOpen, onClose, children, title, onBack, slideFromBottomMobile, removePadding, hideHeader, }: ModalProps) => JSX.Element;
export default Modal;
