"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
/** @jsxImportSource @emotion/react */
const react_1 = require("@emotion/react");
const theme_1 = require("../../../theme");
const standard_css_1 = require("../../types/standard-css");
const TextField = ({ onChange, overrideCss, placeholder, value, multiline, onFocus, onBlur, maxLength, ...standardProps }) => multiline ? ((0, jsx_runtime_1.jsx)("textarea", { value: value, placeholder: placeholder, onChange: onChange, "data-test-id": standardProps.dataTestId, id: standardProps.id, css: (0, react_1.css) `
        padding: 12px;
        border: 2px solid ${theme_1.default.colors.borderGrey};
        color: #a8a8a8;
        border-radius: 5px;
        ${(0, standard_css_1.default)(standardProps)}
        ${overrideCss}
      ` })) : ((0, jsx_runtime_1.jsx)("input", { maxLength: maxLength, onFocus: (e) => onFocus && onFocus(e), onBlur: (e) => onBlur && onBlur(e), type: "text", value: value, placeholder: placeholder, onChange: onChange, "data-test-id": standardProps.dataTestId, id: standardProps.id, css: (0, react_1.css) `
        padding: 12px;
        border: 2px solid ${theme_1.default.colors.borderGrey};
        color: #a8a8a8;
        border-radius: 5px;
        ${(0, standard_css_1.default)(standardProps)}
        ${overrideCss}
      ` }));
exports.default = TextField;
