"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
const react_1 = require("@emotion/react");
const standard_css_1 = require("../../types/standard-css");
const Box = ({ overrideCss, children, ...standardProps }) => ((0, jsx_runtime_1.jsx)("div", { id: standardProps.id, "data-test-id": standardProps.dataTestId, css: (0, react_1.css) `
      ${(0, standard_css_1.default)(standardProps)}
      ${overrideCss}
    `, children: children }));
exports.default = Box;
