/** @jsxImportSource @emotion/react */
import { SerializedStyles } from '@emotion/react';
import { ReactNode } from 'react';
import StandardProps from '../../types/standard-props';
declare const Grid: ({ gridAreas, gridTemplateColumns, gridTemplateRows, gridColumnGap, gridRowGap, overrideCss, children, ...standardProps }: {
    gridAreas?: string | undefined;
    gridTemplateColumns?: string | undefined;
    gridTemplateRows?: string | undefined;
    gridColumnGap?: string | undefined;
    gridRowGap?: string | undefined;
    overrideCss?: SerializedStyles | undefined;
    children?: ReactNode;
} & StandardProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export default Grid;
