"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
/** @jsxImportSource @emotion/react */
const react_1 = require("@emotion/react");
const standard_css_1 = require("../../types/standard-css");
const Grid = ({ gridAreas, gridTemplateColumns, gridTemplateRows, gridColumnGap, gridRowGap, overrideCss, children, ...standardProps }) => ((0, jsx_runtime_1.jsx)("div", { css: (0, react_1.css) `
      -webkit-display: grid;
      display: grid;
      grid-template-areas: ${gridAreas};
      grid-template-columns: ${gridTemplateColumns};
      grid-template-rows: ${gridTemplateRows};
      grid-column-gap: ${gridColumnGap};
      grid-row-gap: ${gridRowGap};
      ${(0, standard_css_1.default)(standardProps)}
      ${overrideCss}
    `, children: children }));
exports.default = Grid;
