"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
/** @jsxImportSource @emotion/react */
const react_1 = require("@emotion/react");
const standard_css_1 = require("../../types/standard-css");
const Text = ({ children, wordWrap, overrideCss, ...standardProps }) => ((0, jsx_runtime_1.jsx)("p", { "data-test-id": standardProps.dataTestId, css: (0, react_1.css) `
      font-family: 'Roboto';
      word-wrap: ${wordWrap};
      margin: 0;
      padding: 0;
      ${(0, standard_css_1.default)(standardProps)}
      ${overrideCss}
    `, children: children }));
exports.Text = Text;
