/// <reference types="react" />
import { FormError } from '../components/form/types';
type FormContextType = {
    errors: FormError[];
    isAllFieldsValid: boolean;
    addError: (error: FormError) => void;
    removeError: (error: FormError) => void;
};
declare const FormContextProvider: ({ children }: {
    children: any;
}) => JSX.Element;
export declare const useFormContext: () => FormContextType;
export default FormContextProvider;
