"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateMobileNumber = exports.validateEmail = void 0;
const validateEmail = (email) => email
    .toLowerCase()
    .match(/^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/);
exports.validateEmail = validateEmail;
const validateMobileNumber = (mobileNumber) => mobileNumber.match(/^[0-9]{10}$/);
exports.validateMobileNumber = validateMobileNumber;
