"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@emotion/react");
const elements_1 = require("../elements");
const layout_1 = require("../layout");
const typography_1 = require("../typography");
const react_2 = require("react");
const theme_1 = require("../../../theme");
const DropdownItem = ({ option, setOption, lastChild = false, }) => ((0, jsx_runtime_1.jsx)(elements_1.Button, { onClick: setOption, textAlign: "left", borderB: !lastChild ? theme_1.default.borders.standard1px : undefined, p: "10px", position: "relative", children: option.label }));
const Dropdown = ({ value, options, onChange, }) => {
    const [showOptions, setShowOptions] = (0, react_2.useState)(false);
    return ((0, jsx_runtime_1.jsxs)(elements_1.Button, { position: "relative", p: "10px", border: theme_1.default.borders.standard1px, borderRadius: theme_1.default.borderRadius.small, onClick: () => setShowOptions(!showOptions), children: [(0, jsx_runtime_1.jsx)(typography_1.Text, { textAlign: "left", children: value.label }), showOptions && ((0, jsx_runtime_1.jsx)(layout_1.Flex, { p: "10px", position: "absolute", top: "110%", left: "0", backgroundColor: "white", flexDirection: "column", zIndex: 1000, borderRadius: theme_1.default.borderRadius.small, overrideCss: (0, react_1.css) `
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);
          `, children: options.map((option, idx) => ((0, jsx_runtime_1.jsx)(DropdownItem, { option: option, setOption: () => onChange(option), lastChild: idx === options.length - 1 }, idx))) }))] }));
};
exports.default = Dropdown;
