"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("@emotion/react/jsx-runtime");
/** @jsxImportSource @emotion/react */
const react_1 = require("@emotion/react");
const standard_css_1 = require("../../types/standard-css");
const ExternalLink = ({ href, target, overrideCss, id, children, ...standardProps }) => ((0, jsx_runtime_1.jsx)("a", { href: href, target: target, id: id, css: (0, react_1.css) `
      text-decoration: none;
      ${(0, standard_css_1.default)(standardProps)}
      ${overrideCss}
    `, children: children }));
exports.default = ExternalLink;
