/** @jsxImportSource @emotion/react */
import { SerializedStyles } from '@emotion/react';
import StandardProps from '../../types/standard-props';
declare const Image: ({ source, alt, objectFit, overrideCss, ...standardProps }: {
    source: string;
    alt: string;
    objectFit?: "contain" | "cover" | undefined;
    overrideCss?: SerializedStyles | undefined;
} & StandardProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export default Image;
