/** @jsxImportSource @emotion/react */
import { SerializedStyles } from '@emotion/react';
import StandardProps from '../../types/standard-props';
declare const TextField: ({ onChange, overrideCss, placeholder, value, multiline, onFocus, onBlur, maxLength, ...standardProps }: {
    onChange: (event: any) => void;
    placeholder?: string | undefined;
    value?: string | undefined;
    multiline?: boolean | undefined;
    onFocus?: ((event: any) => void) | undefined;
    onBlur?: ((event: any) => void) | undefined;
    maxLength?: number | undefined;
    overrideCss?: SerializedStyles | undefined;
} & StandardProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export default TextField;
