"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const elements_1 = require("../elements");
const form_1 = require("../../contexts/form");
const SubmitButton = ({ label, dataTestId, onClick, disabled, }) => {
    const { isAllFieldsValid } = (0, form_1.useFormContext)();
    return ((0, jsx_runtime_1.jsx)(elements_1.Button, { width: "100%", fontSize: "18px", dataTestId: dataTestId || 'submit-button', variant: "cta", color: "white", type: "submit", disabled: !isAllFieldsValid || disabled, py: "20px", mt: "25px", onClick: onClick, children: label }));
};
exports.default = SubmitButton;
