/** @jsxImportSource @emotion/react */
import { SerializedStyles } from '@emotion/react';
import { ReactNode } from 'react';
import StandardProps from '../../types/standard-props';
declare const Flex: ({ flexDirection, justifyContent, flexWrap, overrideCss, children, ...standardProps }: {
    flexDirection?: "column" | "row" | "row-reverse" | undefined;
    justifyContent?: "center" | "space-around" | "space-between" | "space-evenly" | "flex-end" | "flex-start" | undefined;
    flexWrap?: "nowrap" | "wrap" | undefined;
    overrideCss?: SerializedStyles | undefined;
    children?: ReactNode;
} & StandardProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export default Flex;
